<?php
// $Id: DrupalMySQLStore.php,v 1.1.2.1 2009/08/20 15:20:39 wulff Exp $

/**
 * @file
 * An extension of the Auth_OpenID_MySQLStore class which fixes an error in the
 * way blobs are handled.
 */

/**
 * Require the base class file.
 */
require_once "Auth/OpenID/MySQLStore.php";

class Auth_OpenID_DrupalMySQLStore extends Auth_OpenID_MySQLStore {
  /**
   * Returns true if $value constitutes a database error; returns
   * false otherwise.
   */
  function isError($value) {
    // FIXME: modify DrupalDatabaseConnection and this function to enable error handling.
    return FALSE;
  }

  /**
   * @access private
   * See http://lists.openidenabled.com/pipermail/dev/2007-September/000850.html
   */
  function blobEncode($str) {
    return $str;
  }
}
